//
//  HelloWorldHud.m
//  CatJump
//
//  Created by Ray Wenderlich on 3/22/11.
//  Copyright 2011 Ray Wenderlich. All rights reserved.
//

#import "HelloWorldHud.h"

@interface HelloWorldHud() {
    CCLabelBMFont *_livesLabel;
    CCLabelBMFont *_dodgesLabel;
}
@end

@implementation HelloWorldHud

- (id)init {
    if ((self = [super init])) {
        CGSize winSize = [CCDirector sharedDirector].winSize;
        
        _livesLabel = [CCLabelBMFont labelWithString:@"Lives: X" fntFile:@"Arial.fnt"];
        _livesLabel.position = ccp(winSize.width * 0.2, winSize.height * 0.9);
        [self addChild:_livesLabel];
    
        _dodgesLabel = [CCLabelBMFont labelWithString:@"Dodges: X" fntFile:@"Arial.fnt"];
        _dodgesLabel.position = ccp(winSize.width * 0.8, winSize.height * 0.9);
        [self addChild:_dodgesLabel];
    }
    return self;
}

- (void)setLives:(int)lives {    
    _livesLabel.string = [NSString stringWithFormat:@"Lives: %d", lives];
}

- (void)setDodges:(int)dodges {
    _dodgesLabel.string = [NSString stringWithFormat:@"Dodges: %d", dodges];
}
@end
