//
//  HelloWorldScene.m
//  CatJump
//
//  Created by Ray Wenderlich on 3/22/11.
//  Copyright 2011 Ray Wenderlich. All rights reserved.
//

#import "HelloWorldScene.h"
#import "HelloWorldLayer.h"
#import "HelloWorldHud.h"

@implementation HelloWorldScene

- (id)init {
    if ((self = [super init])) {

        HelloWorldHud *hudLayer = [HelloWorldHud node];
        [self addChild:hudLayer z:1];

        HelloWorldLayer *actionLayer = [[[HelloWorldLayer alloc] initWithHud:hudLayer] autorelease];
        [self addChild:actionLayer];
                
    }
    return self;
}

@end
